//
//  ViewController.m
//  SlideTabGrid_ObjC
//
//  Created by Torrey Betts on 5/4/18.
//  Copyright © 2018 Torrey Betts. All rights reserved.
//

#import <IG/IG.h>
#import "ViewController.h"
#import "igSalesmanItem.h"


@interface ViewController () <IGGridViewDelegate>
{
    IGSlideTabView *_slideTabView;
    IGSlideTabItem *_tabItem;
    IGGridView *_gridView;
    IGGridViewDataSourceHelper *_dsh;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    _slideTabView = [[IGSlideTabView alloc] initWithFrame:self.view.bounds];
    _slideTabView.autoresizingMask = UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight;
    [self.view addSubview:_slideTabView];

    _tabItem = [IGSlideTabItem tabWithLocation:IGSlideTabLocationBottom title:@"Test" tabView:nil contentView:nil];
    _tabItem.isDraggable = IGSlideTabDragOpenedOrClosed;
    [_slideTabView addTab:_tabItem];

    _dsh = [[IGGridViewDataSourceHelper alloc] init];
    _dsh.data = [igSalesmanItem generateData:100];

    _gridView = [[IGGridView alloc] initWithFrame:_slideTabView.bounds style:IGGridViewStyleDefault];
    _gridView.autoresizingMask = UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleHeight;
    _gridView.dataSource = _dsh;
    _gridView.delegate = self;
    _gridView.selectionType = IGGridViewSelectionTypeCell;
    [_slideTabView.contentAreaView addSubview:_gridView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

- (void)gridView:(IGGridView *)gridView didSelectCellAtPath:(IGCellPath *)path
{
    NSLog(@"Did Select: %d row, %d column", (int) path.rowIndex, (int) path.columnIndex);
}

- (IGCellPath *)gridView:(IGGridView *)gridView willSelectCellAtPath:(IGCellPath *)path
{
    NSLog(@"Will Select: %d row, %d column", (int) path.rowIndex, (int) path.columnIndex);
    return path;
}

@end